#
#La solution est assez simple si vous avez lu les codes que j'ai utilis pour la prsentation  
#(comprendre les analyses serait videmment un plus). Les graphiques sont sauvs en fichier 
#tiff. et  j'ai combins certains rsultats en un seul graphs pour respecter la limite impos. Les 
#premires analyses sont des comparaisons de moyennes. J'ai donc ralis un " box-plot " pour 
#prsenter mes rsultats. La deuxime analyses rentre dans la catgorie des rgressions. J'ai 
#utilis la fonction par("new"=TRUE) pour mettre les valeurs de rgression et les IC sur le mme 
#graphique. 
#
# !!! Run devoir2_pleinR.r to obtain values !!!
#
#                            Set Working Drive
#_______________________________________________________________________________ 
setwd("C:\\Documents and Settings\\chroy203\\Bureau")
#
#                            Create axis names
#_______________________________________________________________________________ 
yaxis1a<-"Length of the wing (cm)"
yaxis1b<-"Length of the tail (cm)"
xaxis1<-"Density of forest cover"
yaxis2a<-"Predicted probability of detecting a signing male (%)"
yaxis2b<-"Predicted occurence of signing males (birds)"
#
#                      Sortie Graph 1
#_______________________________________________________________________________
tiff(filename = "Figure1.tiff", width = 2.75, height = 5.5,
     units = "in", pointsize = 9,
     compression = "none",
     bg = "white", res = 600,
     restoreConsole = TRUE)
layout(mat=matrix(1:6, nrow=1, ncol=2))
par(pin=c(2.75, 2.75),mar=c(3,3,1,1), mgp=c(2,1,0))
#
#                           Graph 1A
#_______________________________________________________________________________
plot(y=0, x=0,  tcl = -0.3, type="n",
     ylab=yaxis1a,
     ylim=c(63,68), xlim=c(0.5,3.5),
     xlab=xaxis1, xaxt="n",frame.plot = FALSE)

#add x axis separately
axis(side=1, at=c(1,2,3), labels=c("Low", "Med", "High"))

#add tiks marks
arrows(x0=c(1,2,3), y0=c(QL_Wing[1],QM_Wing[1] ,QH_Wing[1]),
       x1=c(1,2,3), y1=c(QL_Wing[2],QM_Wing[2] ,QH_Wing[2]),
       length=0.05, angle=90, code=3, col="black")     

#add points for group
rect(0.9,Wing_Low[2],1.1,Wing_Low[3],col="grey90")
rect(1.9,Wing_Med[2],2.1,Wing_Med[3],col="grey90")
rect(2.9,Wing_High[2],3.1,Wing_High[3],col="grey90")
legend("topleft",legend="A)",bty="n",cex=1.25)
#
#                           Graph 1B
#_______________________________________________________________________________
plot(y=0, x=0,  tcl = -0.3, type="n",
     ylab=yaxis1b,
     ylim=c(58,64), xlim=c(0.5,3.5),
     xlab=xaxis1, xaxt="n",frame.plot = FALSE)
#add x axis separately
axis(side=1, at=c(1,2,3), labels=c("Low", "Med", "High"))

#add tiks marks
arrows(x0=c(1,2,3), y0=c(QL_Tail[1],QM_Tail[1] ,QH_Tail[1]),
       x1=c(1,2,3), y1=c(QL_Tail[2],QM_Tail[2] ,QH_Tail[2]),
       length=0.05, angle=90, code=3, col="black")     

#add points for group
rect(0.9,Tail_Low[2],1.1,Tail_Low[3],col="grey90")
rect(1.9,Tail_Med[2],2.1,Tail_Med[3],col="grey90")
rect(2.9,Tail_High[2],3.1,Tail_High[3],col="grey90")
legend("topleft",legend="B)",bty="n",cex=1.25)
dev.off()   ####################Fin sortie fichier jpeg################
#
#                      Sortie Graph 2
#_______________________________________________________________________________
tiff(filename = "Figure2.tiff", width = 2.75, height = 2.75,
     units = "in", pointsize = 9,
     compression = "none",
     bg = "white", res = 600,
     restoreConsole = TRUE)
layout(mat=matrix(1:1, nrow=1, ncol=1))
par(pin=c(2.75, 2.75),mar=c(3,3,1,1), mgp=c(2,1,0))
#
#                   Graph 2
#_______________________________________________________________________________
matplot(seq_date,est_date,
     type="l",
     lty=1,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Date(Julian Day)",
     xlim=c(-1.5,2.45),
     ylab=yaxis2a,
     ylim=c(0,1),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_date,up_date,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Date(Julian Day)",
     xlim=c(-1.5,2.45),
     ylab=yaxis2a,
     ylim=c(0,1),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_date,down_date,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Date(Julian Day)",
     xlim=c(-1.5,2.45),
     ylab=yaxis2a,
     ylim=c(0,1),
     xaxt="n",
     frame.plot = FALSE)
axis(1,at=c(-1.52,-0.53,0.47,1.46,2.45), lab=c(20,42,64,86,108), tcl= 0.3)
dev.off()   ####################Fin sortie fichier jpeg################
#
#                      Sortie Graph 3
#_______________________________________________________________________________
tiff(filename = "Figure3.tiff", width = 2.75, height = 8.25,
     units = "in", pointsize = 10,
     compression = "none",
     bg = "white", res = 600,
     restoreConsole = TRUE)
layout(mat=matrix(1:3, nrow=3, ncol=1))
par(pin=c(2.75, 2.75),mar=c(3,3,1,1), mgp=c(2,1,0))
#
#                   Graph 3A
#_______________________________________________________________________________
matplot(seq_elev,est_elev,
     type="l",
     lty=1,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Elevation (m)",
     xlim=c(-2,2.5),
     ylab=yaxis2b,
     ylim=c(0,22),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_elev,down_elev,
     type="l",
     lty=2,
     pch=16,
     col="grey30",
     bg="grey30",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Elevation (m)",
     xlim=c(-2,2.5),
     ylab=yaxis2b,
     ylim=c(0,22),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_elev,up_elev,
     type="l",
     lty=2,
     pch=16,
     col="grey30",
     bg="grey30",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Elevation (m)",
     xlim=c(-2,2.5),
     ylab=yaxis2b,
     ylim=c(0,22),
     xaxt="n",
     frame.plot = FALSE)
axis(1,at=c(-1.8,-1.0,-0.1,0.7,1.6,2.4), lab=c(0,550,1100,1650,2200,2750), tcl= 0.3)
legend("topleft",legend="A)",bty="n",cex=1.5)
#
#                   Graph 3B
#_______________________________________________________________________________
matplot(seq_forest,est_forest,
     type="l",
     lty=1,
     pch=16,                                                               
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Forest (%)",
     xlim=c(-1.26,2.37),
     ylab=yaxis2b,
     ylim=c(0,9),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_forest,up_forest,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Forest (%)",
     xlim=c(-1.26,2.37),
     ylab=yaxis2b,
     ylim=c(0,9),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_forest,down_forest,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Forest (%)",
     xlim=c(-1.26,2.37),
     ylab=yaxis2b,
     ylim=c(0,9),
     xaxt="n",
     frame.plot = FALSE)
axis(1,at=c(-1.26, -0.54, 0.19, 0.92, 1.64, 2.37), lab=c(0,20,40,60,80,100), tcl= 0.3)
legend("topleft",legend="B)",bty="n",cex=1.5)
#
#                   Graph 3C
#_______________________________________________________________________________
matplot(seq_length,est_length,
     type="l",
     lty=1,
     pch=16,                                                               
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Length (km)",
     xlim=c(-3.75,3.6),
     ylab=yaxis2b,
     ylim=c(0,5),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_length,up_length,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Length (km)",
     xlim=c(-3.75,3.6),
     ylab=yaxis2b,
     ylim=c(0,5),
     xaxt="n",
     frame.plot = FALSE)
par("new"=TRUE)
matplot(seq_length,down_length,
     type="l",
     lty=2,
     pch=16,
     col="grey40",
     bg="grey40",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Length (km)",
     xlim=c(-3.75,3.6),
     ylab=yaxis2b,
     ylim=c(0,5),
     xaxt="n",
     frame.plot = FALSE)
axis(1,at=c(-3.75,-2.29,-0.81,0.66,2.13,3.61), lab=c(0,2,4,6,8,10), tcl= 0.3)
legend("topleft",legend="C)",bty="n",cex=1.5)
dev.off()   ####################Fin sortie fichier jpeg################
